従業員所属グループ削除
DELETE /staffs/{staff_id}/staff_groups/{staff_group_code}
DELETE
/staffs/{staff_id}/staff_groups/{staff_group_code}
指定した従業員の従業員所属グループを削除します。
対象
- プラン
- スタンダード
- プレミアム
- プレミアムプラス
- エンタープライズ
対象ユーザー権限
- 従業員管理編集(全て)
- 従業員管理編集(給与情報除く)
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” staff_id
required
string
従業員ID
Example
1 staff_group_code
required
string
従業員グループコード
Example
10Responses
Section titled “ Responses ”削除成功
object
staffId
従業員ID
string
staffGroupCode
従業員グループコード
string
Example
{ "staffId": "123", "staffGroupCode": "5"}- 指定した従業員IDのデータが存在しない場合
- 指定した従業員グループコードが存在しない場合
- 指定グループの所属が未存在の場合
object
type
エラータイプを識別するURI、もしくはabout:blank
string
title
エラーの概要
string
detail
エラーの詳細
string
Example
{ "type": "about:blank", "title": "Not Found", "detail": "データが確認できませんでした。従業員グループコード: 999"}